#include<conio.h>
#include<stdio.h>
#include<math.h>
struct punto{
       float x;
       float y;
       }p1,p2;
float distancia (void);
int main (void)
{
    printf("Ingresa los valores del punto 1\nprimero el valor de \"x\" y despues de \"y\"\n");
    scanf("%f %f",&p1.x,&p1.y);
    printf("Ingresa los valores del punto 2\nprimero el valor de \"x\" y despues de \"y\"\n");
    scanf("%f %f",&p2.x,&p2.y);
    printf("La distancia entre los 2 punstos es %.3f\n",distancia());
    printf("Oprime una tecla para terminar...\n");
    getch();
}
float distancia (void)
{
      float cont,su1,su2;
      su1=pow((p2.x-p1.x),2);
      su2=pow((p2.y-p1.y),2);
      cont=sqrt(su1+su2);
      return cont;
      
}
      
      
